Bug 1272513 - Review Request: Murano - is an application catalog for OpenStack
Review Request: Murano - is an application catalog for OpenStack
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: hguemar
hguemar
: Reopened
Depends On:
Blocks: RDO-MITAKA/RDO-MITAKA-REVIEWS 1336012
  Show dependency treegraph
 
Reported: 2015-10-16 11:29 EDT by Daniil
Modified: 2017-06-18 03:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 03:07:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hguemar: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Daniil 2015-10-16 11:29:07 EDT
Spec URL: https://raw.githubusercontent.com/mos-outside/murano/rpm-master/openstack-murano.spec
SRPM URL: https://github.com/openstack/murano/tree/stable/liberty
Description: Murano Project introduces an application catalog, which allows application developers and cloud administrators to publish various cloud-ready applications in a browsable‎ categorised catalog. Cloud users -- including inexperienced ones -- can then use the catalog to compose reliable application environments with the push of a button.
https://review.gerrithub.io/#/c/249763/
Comment 1 hguemar 2015-11-05 08:32:55 EST
Please publish proper src.rpm, so that we could reuse semi-automated reviewing tools.
Same comments as for mistral reviews:
https://bugzilla.redhat.com/show_bug.cgi?id=1272524
Comment 3 hguemar 2016-04-20 05:25:12 EDT
Few changes:
* Removed BR in the buildroot already (e.g. gcc) or unneeded (e.g python-pip)
* Use %license
* Use versioned python macros
* Drop %clean
* Enable restart on-failure in systemd services.

This package is approved, I'll do the import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 42 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1272513-openstack-murano/srpm-unpacked
     /review-openstack-murano/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd/system,
     /etc/logrotate.d, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     openstack-murano-common , openstack-murano-engine , openstack-murano-
     api , openstack-murano-cf-api , openstack-murano-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-murano-common-1.0.2-1.fc25.noarch.rpm
          openstack-murano-engine-1.0.2-1.fc25.noarch.rpm
          openstack-murano-api-1.0.2-1.fc25.noarch.rpm
          openstack-murano-cf-api-1.0.2-1.fc25.noarch.rpm
          openstack-murano-doc-1.0.2-1.fc25.noarch.rpm
          openstack-murano-1.0.2-1.fc25.src.rpm
openstack-murano-common.noarch: W: no-documentation
openstack-murano-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/murano
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/tests/functional/engine/io.murano.apps.test.UpdateExecutor/Resources/scripts/update.sh 644 /bin/bash
openstack-murano-common.noarch: W: non-standard-uid /etc/murano murano
openstack-murano-common.noarch: E: zero-length /usr/lib/python2.7/site-packages/murano/tests/unit/api/v1/cloudfoundry/test_router.py
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/cfapi.py 644 /usr/bin/env
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/api.py 644 /usr/bin/env
openstack-murano-common.noarch: W: non-standard-uid /var/cache/murano murano
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/engine.py 644 /usr/bin/env
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/murano-paste.ini murano
openstack-murano-common.noarch: E: non-readable /etc/murano/murano-paste.ini 640
openstack-murano-common.noarch: W: non-standard-uid /var/log/murano murano
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/murano.conf murano
openstack-murano-common.noarch: E: non-readable /etc/murano/murano.conf 640
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/policy.json murano
openstack-murano-common.noarch: E: non-readable /etc/murano/policy.json 640
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/logging.conf murano
openstack-murano-common.noarch: E: non-readable /etc/murano/logging.conf 640
openstack-murano-common.noarch: W: non-standard-uid /var/run/murano murano
openstack-murano-common.noarch: E: dir-or-file-in-var-run /var/run/murano
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/netconfig.yaml.sample murano
openstack-murano-common.noarch: E: non-readable /etc/murano/netconfig.yaml.sample 640
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-manage
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-db-manage
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-test-runner
openstack-murano-engine.noarch: W: no-manual-page-for-binary murano-engine
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/scripts/runCommand.sh 644 /bin/bash
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/linux-init.sh 644 /bin/sh
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/scripts/putFile.sh 644 /bin/bash
openstack-murano-api.noarch: W: no-manual-page-for-binary murano-api
openstack-murano-cf-api.noarch: W: no-manual-page-for-binary murano-cfapi
6 packages and 0 specfiles checked; 15 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
openstack-murano-common.noarch: W: no-documentation
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/netconfig.yaml.sample murano
openstack-murano-common.noarch: E: non-readable /etc/murano/netconfig.yaml.sample 640
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/cfapi.py 644 /usr/bin/env
openstack-murano-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/murano
openstack-murano-common.noarch: W: non-standard-uid /var/log/murano murano
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/murano-paste.ini murano
openstack-murano-common.noarch: E: non-readable /etc/murano/murano-paste.ini 640
openstack-murano-common.noarch: E: zero-length /usr/lib/python2.7/site-packages/murano/tests/unit/api/v1/cloudfoundry/test_router.py
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/api.py 644 /usr/bin/env
openstack-murano-common.noarch: W: non-standard-uid /var/run/murano murano
openstack-murano-common.noarch: E: dir-or-file-in-var-run /var/run/murano
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/cmd/engine.py 644 /usr/bin/env
openstack-murano-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/murano/tests/functional/engine/io.murano.apps.test.UpdateExecutor/Resources/scripts/update.sh 644 /bin/bash
openstack-murano-common.noarch: W: non-standard-uid /var/cache/murano murano
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/policy.json murano
openstack-murano-common.noarch: E: non-readable /etc/murano/policy.json 640
openstack-murano-common.noarch: W: non-standard-uid /etc/murano murano
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/murano.conf murano
openstack-murano-common.noarch: E: non-readable /etc/murano/murano.conf 640
openstack-murano-common.noarch: W: non-standard-gid /etc/murano/logging.conf murano
openstack-murano-common.noarch: E: non-readable /etc/murano/logging.conf 640
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-test-runner
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-db-manage
openstack-murano-common.noarch: W: no-manual-page-for-binary murano-manage
openstack-murano-engine.noarch: W: no-manual-page-for-binary murano-engine
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/scripts/putFile.sh 644 /bin/bash
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/scripts/runCommand.sh 644 /bin/bash
openstack-murano-api.noarch: E: non-executable-script /var/cache/murano/meta/io.murano/Resources/linux-init.sh 644 /bin/sh
openstack-murano-api.noarch: W: no-manual-page-for-binary murano-api
openstack-murano-cf-api.noarch: W: no-manual-page-for-binary murano-cfapi
5 packages and 0 specfiles checked; 15 errors, 16 warnings.



Requires
--------
openstack-murano-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    PyYAML
    config(openstack-murano-common)
    openstack-murano-doc
    python(abi)
    python-alembic
    python-babel
    python-congressclient
    python-eventlet
    python-heatclient
    python-iso8601
    python-jsonpatch
    python-jsonschema
    python-keystoneclient
    python-keystonemiddleware
    python-kombu
    python-mistralclient
    python-muranoclient
    python-netaddr
    python-neutronclient
    python-oslo-config
    python-oslo-context
    python-oslo-db
    python-oslo-i18n
    python-oslo-log
    python-oslo-messaging
    python-oslo-middleware
    python-oslo-policy
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-paste
    python-paste-deploy
    python-pbr
    python-psutil
    python-retrying
    python-routes
    python-semantic_version
    python-six
    python-sqlalchemy
    python-stevedore
    python-webob
    python-yaql

openstack-murano-engine (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-murano-common

openstack-murano-doc (rpmlib, GLIBC filtered):

openstack-murano-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-murano-common

openstack-murano-cf-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-murano-common



Provides
--------
openstack-murano-common:
    config(openstack-murano-common)
    openstack-murano-common

openstack-murano-engine:
    openstack-murano-engine

openstack-murano-doc:
    openstack-murano-doc

openstack-murano-api:
    openstack-murano-api

openstack-murano-cf-api:
    openstack-murano-cf-api



Source checksums
----------------
Using local file /home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-engine.service as upstream
file:///home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-engine.service :
  CHECKSUM(SHA256) this package     : af25784a759b8164c915e66c7a420737621ddfffe8e90b42a5a1155178b92e7c
  CHECKSUM(SHA256) upstream package : af25784a759b8164c915e66c7a420737621ddfffe8e90b42a5a1155178b92e7c
Using local file /home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano.logrotate as upstream
file:///home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano.logrotate :
  CHECKSUM(SHA256) this package     : 3b2a8a94d2c6fc38a3b1b0e350f4e270131e6bc97e410654f7cd685dde0d3561
  CHECKSUM(SHA256) upstream package : 3b2a8a94d2c6fc38a3b1b0e350f4e270131e6bc97e410654f7cd685dde0d3561
https://pypi.python.org/packages/source/m/murano/murano-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : d9e78eb6e0a52d7f3882ff0dad0c827a09f39672cfa4a0ccaa88b6a3b88f20aa
  CHECKSUM(SHA256) upstream package : d9e78eb6e0a52d7f3882ff0dad0c827a09f39672cfa4a0ccaa88b6a3b88f20aa
Using local file /home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-api.service as upstream
file:///home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-api.service :
  CHECKSUM(SHA256) this package     : c92d37244ffb28322f0d7c760c1c1d9321355f312e8b03b721a0c9fa427cddb5
  CHECKSUM(SHA256) upstream package : c92d37244ffb28322f0d7c760c1c1d9321355f312e8b03b721a0c9fa427cddb5
Using local file /home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-cf-api.service as upstream
file:///home/haikel/1272513-openstack-murano/srpm-unpacked/openstack-murano-cf-api.service :
  CHECKSUM(SHA256) this package     : 06aa2cfeadec458bfa4402cd712280fc339b23d4f7f2add4044f9b57b2ce6a20
  CHECKSUM(SHA256) upstream package : 06aa2cfeadec458bfa4402cd712280fc339b23d4f7f2add4044f9b57b2ce6a20


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n /home/haikel/1272513-openstack-murano/srpm-unpacked/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Marcos 2016-04-22 08:51:55 EDT
The dependency above is needed:

Requires: python-eventlet >= 0.18.2

More info about python-eventlet status: https://bodhi.fedoraproject.org/updates/?packages=python-eventlet
Comment 6 Alan Pevec 2016-05-12 19:05:14 EDT
> The dependency above is needed:
> Requires: python-eventlet >= 0.18.2

Is that just sync from global openstack/requirements or there's really new functionality needed in Murano?

Eventlet had few bad 0.18.x release, but 0.18.4 is used in openstack upstream gate since Feb.
There's newer 0.19.0 with a DoS fix but it has not tested yet.
Comment 7 Marcos 2016-05-17 03:42:34 EDT
It's needed in Murano https://github.com/openstack/murano/search?utf8=%E2%9C%93&q=eventlet

python-eventlet-0.18.4 was already released, so we can continue with openstack-murano review.
Comment 8 Chandan Kumar 2016-05-19 11:47:01 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.
Comment 9 Christopher Brown 2017-06-18 03:07:04 EDT
This was landed.

Note You need to log in before you can comment on or make changes to this bug.